summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Manuel Argüelles2014-01-17 14:11:11 +0100
committer Erik Hanson2014-01-30 06:21:05 +0100
commitabae8ed73c14aa6374edb9c2626136c8c2503c51 (patch)
tree269458dbdd68cdd7d297b8fcf3d36fb29c582ac7 /office
parent7ad0950132661b5977c3519983bd20b82948755e (diff)
downloadslackbuilds-abae8ed73c14aa6374edb9c2626136c8c2503c51.tar.gz
office/muttprint: Added (Pretty printing of your mails).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/muttprint/README11
-rw-r--r--office/muttprint/muttprint.SlackBuild73
-rw-r--r--office/muttprint/muttprint.info10
-rw-r--r--office/muttprint/removecss.patch.gzbin0 -> 437 bytes
-rw-r--r--office/muttprint/slack-desc19
5 files changed, 113 insertions, 0 deletions
diff --git a/office/muttprint/README b/office/muttprint/README
new file mode 100644
index 0000000000..9997274504
--- /dev/null
+++ b/office/muttprint/README
@@ -0,0 +1,11 @@
+Muttprint formats the output of mail clients to a good-looking
+printing. It uses the typesetting system LaTeX, which is normally part
+of every Linux distribution and which is also available for other
+operating systems like *BSD and Solaris.
+
+Muttprint is programmed in Perl and works in German, Italian, Spanish,
+French, Swedish, Slovenian, Polish and English. But it can be
+configured to work in any other language.
+
+Muttprint supports the charsets ISO-8859-1, ISO-8859-2, ISO-8859-3,
+ISO-8859-4, ISO-8859-9, Windows-1250, Windows-1252 and recently UTF-8.
diff --git a/office/muttprint/muttprint.SlackBuild b/office/muttprint/muttprint.SlackBuild
new file mode 100644
index 0000000000..761ed83242
--- /dev/null
+++ b/office/muttprint/muttprint.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for muttprint
+
+# Copyright 2014 Manuel Argüelles Panamá
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=muttprint
+VERSION=${VERSION:-0.72d}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+zcat $CWD/removecss.patch.gz | patch -p1 || exit
+
+make
+make prefix=$PKG/usr mandir=$PKG/usr/man docdir=$PKG/usr/doc docdirname=$PRGNAM-$VERSION install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/muttprint/muttprint.info b/office/muttprint/muttprint.info
new file mode 100644
index 0000000000..3706fac7e7
--- /dev/null
+++ b/office/muttprint/muttprint.info
@@ -0,0 +1,10 @@
+PRGNAM="muttprint"
+VERSION="0.72d"
+HOMEPAGE="http://muttprint.sourceforge.net/"
+DOWNLOAD="http://prdownloads.sourceforge.net/muttprint/muttprint-0.72d.tar.gz"
+MD5SUM="cab04c11b7dfb29a9c3a6348a07b86a3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="perl-Text-Iconv"
+MAINTAINER="Manuel Argüelles"
+EMAIL="manuel.arguelles@gmail.com"
diff --git a/office/muttprint/removecss.patch.gz b/office/muttprint/removecss.patch.gz
new file mode 100644
index 0000000000..b47c327e24
--- /dev/null
+++ b/office/muttprint/removecss.patch.gz
Binary files differ
diff --git a/office/muttprint/slack-desc b/office/muttprint/slack-desc
new file mode 100644
index 0000000000..68688dff64
--- /dev/null
+++ b/office/muttprint/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+muttprint: muttprint (Pretty printing of your mails)
+muttprint:
+muttprint: Muttprint formats the output of mail clients to a good-looking
+muttprint: printing. It uses the typesetting system LaTeX, which is normally
+muttprint: part of every Linux distribution and which is also available for
+muttprint: other operating systems like *BSD and Solaris.
+muttprint:
+muttprint: Muttprint is programmed in Perl and supports the charsets ISO-8859-1,
+muttprint: ISO-8859-2, ISO-8859-3, ISO-8859-4, ISO-8859-9, Windows-1250,
+muttprint: Windows-1252 and UTF-8.
+muttprint: